Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.common
Class EJBDescriptor

    java.lang.Object
      |
      +--com.bea.wlpi.common.EJBDescriptor

public class EJBDescriptor
extends java.lang.Object
implements java.io.Serializable

Describes an Enterprise Java Bean. It is used to pass information to the client about EJBs deployed on the server.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `ClassDescriptor`, `ClassInvocationDescriptor`, `EJBInvocationDescriptor`, Serialized Form

Constructor Summary
`EJBDescriptor()` Create a new EJB descriptor.

Method Summary
`java.lang.String` | `getEJBDeploymentName()` Return the name under which the EJB was deployed.
`java.util.List` | `getEJBHomeMethodDescriptors()` List the methods on the EJB's home interface.
`java.lang.String` | `getEJBHomeName()` Return the fully qualified name of the home interface.
`java.lang.String` | `getEJBPrimaryKeyName()` Return the fully qualified name of the primary key class.
`java.util.List` | `getEJBRemoteMethodDescriptors()` List the methods on the EJB's remote interface.
`java.lang.String` | `getEJBRemoteName()` Return the fully qualified name of the remote interface.
`boolean` | `isSessionEJB()` Check whether this object describes a session EJB or an entity EJB.
`void` | `setEJBDeploymentName(java.lang.String ejbDeploymentName)` Set the EJB deployment name.
`void` | `setEJBHomeMethodDescriptors(java.util.List methodDescriptors)` Set the methods on the EJB's home interface.
`void` | `setEJBHomeName(java.lang.String ejbHomeName)` Set the name of the home interface.
`void` | `setEJBPrimaryKeyName(java.lang.String ejbPrimaryKeyName)` Set the name of the primary key class.
`void` | `setEJBRemoteMethodDescriptors(java.util.List methodDescriptors)` Set the methods on the EJB's remote interface.
`void` | `setEJBRemoteName(java.lang.String ejbRemoteName)` Set the name of the remote interface.
`void` | `setSessionEJB(boolean isSessionEJB)` Specify whether this object describes a session EJB or an entity EJB.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EJBDescriptor

    public EJBDescriptor()

  Create a new EJB descriptor.

Method Detail

### getEJBDeploymentName

    public java.lang.String getEJBDeploymentName()

  Return the name under which the EJB was deployed.

  Returns:
    The name under which the EJB was deployed.
  See Also:
    `setEJBDeploymentName(java.lang.String)`

### setEJBDeploymentName

    public void setEJBDeploymentName(java.lang.String ejbDeploymentName)

  Set the EJB deployment name.

  Parameters:
    `ejbDeploymentName` - The name under which the EJB was deployed.
  See Also:
    `getEJBDeploymentName()`

### getEJBHomeName

    public java.lang.String getEJBHomeName()

  Return the fully qualified name of the home interface.

  Returns:
    The fully qualified name of the home interface.
  See Also:
    `setEJBHomeName(java.lang.String)`

### setEJBHomeName

    public void setEJBHomeName(java.lang.String ejbHomeName)

  Set the name of the home interface.

  Parameters:
    `ejbHomeName` - The fully qualified name of the home interface.
  See Also:
    `getEJBHomeName()`

### getEJBRemoteName

    public java.lang.String getEJBRemoteName()

  Return the fully qualified name of the remote interface.

  Returns:
    The fully qualified name of the remote interface.
  See Also:
    `setEJBRemoteName(java.lang.String)`

### setEJBRemoteName

    public void setEJBRemoteName(java.lang.String ejbRemoteName)

  Set the name of the remote interface.

  Parameters:
    `ejbRemoteName` - The fully qualified name of the remote interface.
  See Also:
    `getEJBRemoteName()`

### getEJBPrimaryKeyName

    public java.lang.String getEJBPrimaryKeyName()

  Return the fully qualified name of the primary key class.

  Returns:
    The fully qualified name of the primary key class.
  See Also:
    `setEJBPrimaryKeyName(java.lang.String)`

### setEJBPrimaryKeyName

    public void setEJBPrimaryKeyName(java.lang.String ejbPrimaryKeyName)

  Set the name of the primary key class.

  Parameters:
    `ejbPrimaryKeyName` - The fully qualified name of the primary key class.
  See Also:
    `getEJBPrimaryKeyName()`

### isSessionEJB

    public boolean isSessionEJB()

  Check whether this object describes a session EJB or an entity EJB.

  Returns:
    `true` if this is a session EJB, `false` if an entity EJB.
  See Also:
    `setSessionEJB(boolean)`

### setSessionEJB

    public void setSessionEJB(boolean isSessionEJB)

  Specify whether this object describes a session EJB or an entity EJB.

  Parameters:
    `isSessionEJB` - `true` if this describes a session EJB, `false` if an entity EJB.
  See Also:
    `isSessionEJB()`

### getEJBHomeMethodDescriptors

    public java.util.List getEJBHomeMethodDescriptors()

  List the methods on the EJB's home interface.

  Returns:
    A list of `MethodDescriptor` objects.
  See Also:
    `setEJBHomeMethodDescriptors(java.util.List)`

### setEJBHomeMethodDescriptors

    public void setEJBHomeMethodDescriptors(java.util.List methodDescriptors)

  Set the methods on the EJB's home interface.

  Parameters:
    `methodDescriptors` - A list of `MethodDescriptor` objects.
  See Also:
    `getEJBHomeMethodDescriptors()`

### getEJBRemoteMethodDescriptors

    public java.util.List getEJBRemoteMethodDescriptors()

  List the methods on the EJB's remote interface.

  Returns:
    A list of `MethodDescriptor` objects.
  See Also:
    `setEJBRemoteMethodDescriptors(java.util.List)`

### setEJBRemoteMethodDescriptors

    public void setEJBRemoteMethodDescriptors(java.util.List methodDescriptors)

  Set the methods on the EJB's remote interface.

  Parameters:
    `methodDescriptors` - A list of `MethodDescriptor` objects.
  See Also:
    `getEJBRemoteMethodDescriptors()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)